--[[
    Aaron MacDonald
    September 17, 2010
]]

ai = {}

function ai.newBrain(reactionTime, thinkFunc, initFunc)--, wallHitFunc)
    local brain = { maxReactionTime = reactionTime,
                    reactionTime = 0,
                    think = thinkFunc,
                    --wallHit = wallHitFunc,
                    movement = { [constants.UP] = false,
                                 [constants.DOWN] = false,
                                 [constants.LEFT] = false,
                                 [constants.RIGHT] = false }
                  }

    if initFunc then
        initFunc(brain)
    end

    return brain
end

function ai.think(brain)
    if brain.reactionTime == 0 then
        -- Player slower than 60 FPS.  NPCs should be too.
        brain:think()
    end
end

--[[
function ai.wallHit(brain)
    if (brain.reactionTime == 0) and brain.wallHit then
        brain:wallHit()
    end
end
]]

function ai.update(brain)
    if brain.reactionTime == 0 then
        brain.reactionTime = brain.maxReactionTime
    else
        brain.reactionTime = brain.reactionTime - 1
    end
end