--[[
    Aaron MacDonald
    August 28, 2010
]]

local GRAPHICS_DIR = 'graphics/'
local GRAPHICS_TYPE = '.png'

local FONT_SIZE = 24
local FONT_FILE = 'fonts/Commodore Rounded v1-1.ttf'

----------------------------------------------------------------------

graphics = {}

function graphics.loadImage(spriteName, haveExtension)
    local path = GRAPHICS_DIR .. spriteName
    if not haveExtension then
        path = path .. GRAPHICS_TYPE
    end
    local image = love.graphics.newImage(path)
    --image:setFilter("nearest", "linear")

    return image
end

function graphics.loadFont()
    love.graphics.setFont(FONT_FILE, FONT_SIZE)
end

function graphics.fontHeight(textAbove)
    local result = love.graphics.getFont():getHeight()

    if textAbove then
        result = result + love.graphics.getFont():getLineHeight()
    end

    return result
end

function graphics.setColourWhite()
    love.graphics.setColor(255, 255, 255)
end